org.eclipse.jetty.nested

## Class NestedGenerator

- java.lang.Object
- - org.eclipse.jetty.http.AbstractGenerator
  - - org.eclipse.jetty.nested.NestedGenerator

- All Implemented Interfaces:
    Generator

      public class NestedGenerator
      extends AbstractGenerator

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.http.AbstractGenerator

      `_buffer, _buffers, _content, _contentLength, _contentWritten, _date, _endp, _head, _header, _last, _method, _noContent, _persistent, _reason, _state, _status, _uri, _version, NO_BYTES, STATE_CONTENT, STATE_END, STATE_FLUSHING, STATE_HEADER`

    - ### Fields inherited from interface org.eclipse.jetty.http.Generator

      `LAST, MORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NestedGenerator(Buffers buffers, EndPoint io, javax.servlet.http.HttpServletResponse response, String nestedIn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContent(Buffer content, boolean last)` Add content.
    `boolean` | `addContent(byte b)` Add content.
    `void` | `complete()` Complete the message.
    `void` | `completeHeader(HttpFields fields, boolean allContentAdded)`
    `int` | `flushBuffer()`
    `boolean` | `isRequest()`
    `boolean` | `isResponse()`
    `int` | `prepareUncheckedAddContent()` Prepare buffer for unchecked writes.

    - ### Methods inherited from class org.eclipse.jetty.http.AbstractGenerator

      `blockForOutput, completeUncheckedAddContent, flush, getContentBufferSize, getContentWritten, getSendServerVersion, getState, getUncheckedBuffer, getVersion, increaseContentBufferSize, isAllContentWritten, isBufferFull, isCommitted, isComplete, isHead, isIdle, isOpen, isPersistent, isState, isWritten, reset, resetBuffer, returnBuffers, sendError, setContentLength, setDate, setHead, setPersistent, setRequest, setResponse, setSendServerVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NestedGenerator

          public NestedGenerator(Buffers buffers,
                         EndPoint io,
                         javax.servlet.http.HttpServletResponse response,
                         String nestedIn)

  - ### Method Detail

    - #### addContent

          public void addContent(Buffer content,
                        boolean last)
                          throws IOException

      Description copied from interface: `Generator`
      Add content.
      Throws:
        `IOException` - if there is a problem flushing the buffers.

    - #### addContent

          public boolean addContent(byte b)
                             throws IOException

      Description copied from interface: `Generator`
      Add content.
      Parameters:
        `b` - byte
      Returns:
        true if the buffers are full
      Throws:
        `IOException`

    - #### isRequest

          public boolean isRequest()

      Specified by:
        `isRequest` in class `AbstractGenerator`

    - #### isResponse

          public boolean isResponse()

      Specified by:
        `isResponse` in class `AbstractGenerator`

    - #### prepareUncheckedAddContent

          public int prepareUncheckedAddContent()
                                         throws IOException

      Description copied from class: `AbstractGenerator`
      Prepare buffer for unchecked writes. Prepare the generator buffer to receive unchecked writes
      Specified by:
        `prepareUncheckedAddContent` in class `AbstractGenerator`
      Returns:
        the available space in the buffer.
      Throws:
        `IOException`

    - #### completeHeader

          public void completeHeader(HttpFields fields,
                            boolean allContentAdded)
                              throws IOException

      Specified by:
        `completeHeader` in interface `Generator`
      Specified by:
        `completeHeader` in class `AbstractGenerator`
      Throws:
        `IOException`

    - #### complete

          public void complete()
                        throws IOException

      Complete the message.
      Specified by:
        `complete` in interface `Generator`
      Overrides:
        `complete` in class `AbstractGenerator`
      Throws:
        `IOException`

    - #### flushBuffer

          public int flushBuffer()
                          throws IOException

      Specified by:
        `flushBuffer` in interface `Generator`
      Specified by:
        `flushBuffer` in class `AbstractGenerator`
      Throws:
        `IOException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.